Package org.kie.internal.builder

## Enum ChangeType

- java.lang.Object
- - java.lang.Enum<ChangeType>
  - - org.kie.internal.builder.ChangeType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ChangeType>`

      public enum ChangeType
      extends Enum<ChangeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADDED` |
    `REMOVED` |
    `UPDATED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |
    `static ChangeType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ChangeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REMOVED

          public static final ChangeType REMOVED

    - #### UPDATED

          public static final ChangeType UPDATED

    - #### ADDED

          public static final ChangeType ADDED

  - ### Method Detail

    - #### values

          public static ChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChangeType c : ChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChangeType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ChangeType>`